# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

### Changed

### Removed

## [0.0.5] - 2024-02-25

### Added

- Filtering of files to be "picked" based on a regex, preventing errors when creating datetime objects

## [0.0.4] - 2024-02-17

### Added

- Basic project structure, makefile, notescriber module and test files
- Working file picker that triggers a callback function based on certain file names making an appearance in the watched directory
- Working transcription functionality based on the openai-whisper library
- Working notetaker, formatting the transcriptions and pushing them as notes into a nextcloud instance of choice