#!/usr/bin/env python

import notescriber
import logging

if __name__ == '__main__':
    config = notescriber.config.Config()
    config.load_config(".config.yaml")
    dispatcher = notescriber.dispatcher.Dispatcher()
    notetaker = notescriber.notetaker.Notetaker(config.username,config.password, config.url)
    picker = notescriber.picker.Picker(config.path, dispatcher)
    transcriber = notescriber.transcriber.Transcriber()

    dispatcher.add_note_generator(notetaker)
    dispatcher.add_audio_processor(transcriber)
    
    picker.observe()