from nextcloud_notes_api import NotesApi, Note
from datetime import date

class Notetaker:

    username = None
    password = None
    url = None

    def __init__(self, username, password, url):
        self.username = username
        self.password = password
        self.url = url

    def format_note(self, filename, note):
        result = f"# {filename}\n\n"
        result += f"-----------------\nTranscription date: {date.today()}\n-----------------\n\n"
        result += note
        return result

    def generate_note(self, filename, note):
        api = NotesApi(self.username, self.password, self.url)
        ncnote = Note(title=filename, content=self.format_note(filename, note), category="Voicenotes")
        api.create_note(ncnote)
